<template>
  <view class="page__view">
    
		<!-- 导航栏 -->
		<navbar :title="details.paramDesc" leftClick @leftClick="$utils.navigateBack" bgColor="#4883F9" color="#FFFFFF" />

    <view class="main">
      <view class="title">{{ details.title }}</view>
      <uv-parse :content="details.details"></uv-parse>
    </view>

  </view>
</template>

<script>
  export default {
    data() {
      return {
        details: {},
      }
    },
    onLoad({ paramCode }) {
      this.getData(paramCode)
    },
    methods: {
      async getData(paramCode) {
        try {
          this.details = await this.$fetch('querySummaryByParamCode', { paramCode })
        } catch (err) {
          console.log('err', err)
        }
      },
    },
  }
</script>

<style scoped lang="scss">

  .page__view {
    background: #FFFFFF;
  }

  .main {
    padding: 44rpx 40rpx;
    font-size: 30rpx;
    color: #000000;

    .title {
      margin-bottom: 50rpx;
      font-size: 36rpx;
      font-weight: 700;
    }
  }

</style>